console.log('purchasenewassest.js');

Dropzone.autoDiscover = false;


$(document).ready(function () {

    $('#btnaddcomment').hide();
    $('#btnaction').hide();


    $("#pills-site-tab2").css({"display":"none"});

    $('#tblcomments').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thComment" },
        ],
    });

    $('#tblquote').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thcompany" },
          { "data": "thdiscription" },
          { "data": "thquote" },
          { "data": "edit" },
          { "data": "view" },
          { "data": "delete" },

        ],
    });

    $('#btnModalQuotation').on('click', function () {
        $('#ModalQuotation').modal('toggle');
    });

    $('#btnaddcomment').on('click', function () {
        $('#ModelComment').modal('toggle');
    });

    $('#btncomment').on('click', function () {
        var form = $('#frmComment').get(0);
        var data = new FormData(form);

        saveComment(data);
    });

    $('#btnsave').on('click', function () {
        var form = $('#assetrequestForm').get(0);
        var data = new FormData(form);

        if($('#btnsave').text().trim()=='Save'){
            save(data);
        }
        else{
            update(data);
        }

    });

    $('#approve').on('click', function () {

        var id =$('#txthiddenrequestid').val();
        aprove(id);
    });

    $('#reject').on('click', function () {

        var id =$('#txthiddenrequestid').val();
        reject(id);
    });

    $('#revice').on('click', function () {

        var id =$('#txthiddenrequestid').val();
        revice(id);
    });

    $('#requestQuote').on('click', function () {

        var id =$('#txthiddenrequestid').val();
        requestQuote(id);
    });

    loadrequestedfromandto();
    loademployee();
    loademployeeapprove();
    loadRequest();
    dropzonefunction();

});
function saveComment(data) {

    $.ajax({
        type: "POST",
        url: "/am/purchasenewassest/saveComment",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                toastr.success('Commented');

                loadComments(response.result)
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}

function loadrequestedfromandto(){
    $.ajax({
        type: 'GET',
        url: '/am/purchasenewassest/loadrequestedfromandto',
        success: function(response){
            console.log(response.result)
            if (response.success) {
                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.Name+' </option>';
                });
                $('#cmbRequestFrom').html(html);
                $('#cmbRequestTo').html(html);


            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function loademployee(){
    $.ajax({
        type: 'GET',
        url: '/am/purchasenewassest/loademployee',
        success: function(response){
            console.log(response.result)
            if (response.success) {
                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.Name+' </option>';
                });
                $('#cmbRequestBy').html(html);


            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function loademployeeapprove(){
    $.ajax({
        type: 'GET',
        url: '/am/purchasenewassest/loademployeeapprove',
        success: function(response){
            console.log(response.result)
            if (response.success) {
                var html = "";
                $.each(response.result, function(index, value){

                    html += '<option value="'+value.id+'" > '+value.Name+' </option>';
                });
                $('#cmbApprovingAuth').html(html);


            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function save(data) {


    $.ajax({
        type: "POST",
        url: "/am/purchasenewassest/save",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                toastr.success('data saved');
                reset();
            }
        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}

function update(data) {


    $.ajax({
        type: "POST",
        url: "/am/purchasenewassest/update",
        data: data,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response);
            if (response.success) {
                toastr.success('data updated');
                reset();
                location.href = "/am/purchasenewassestlist";

            }

        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');

        },
        complete: function () {

        }

    });

}

function loadRequest() {

    if (window.location.search.length > 0) {
        var sPageURL = window.location.search.substring(1);
        var param = sPageURL.split('&');
        var id = param[0];
        console.log(param);
        if (param.length == 3){
            //from request list
            console.log('from request list');
            $('#btnaddcomment').show();
            $("#pills-site-tab2").css({"display":""});
            $('#addQuatation').hide();

            $('#btnaction').show();

        }
        else if (param.length == 2) {
            //view from pusrchase req list
            console.log('view from pusrchase req list')

            $("#pills-site-tab2").css({"display":""});
            $('#btnsave').hide();
            $('#addQuatation').hide();


        } else {
            //edit from pusrchase req list

            console.log('edit from pusrchase req list')

            $("#pills-site-tab2").css({"display":""});
            $('#btnsave').text('Update');
            $('#btnaddcomment').show();

        }

    }
    $.ajax({
        type: "GET",
        url: "/am/purchasenewassest/loadRequest/" + id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        beforeSend: function () {

        },
        success: function (response) {

            if (response.success) {

                console.log(response.result);
                var data = response.result;
                $('#txthiddenrequestid').val(data.id);
                $('#txthiddenrequestidmodel').val(data.id);
                $('#txtreqidcomment').val(data.id);
                loadattachment();
                loadComments(data.id);
                $('#cmbRequestFrom').val(data.RequestFrom);
                $('#cmbRequestBy').val(data.RequestBy);
                $('#cmbRequestTo').val(data.RequestTo);
                $('#cmbApprovingAuth').val(data.ApproveAuthority);
                $('#txtPurpose').val(data.Purpose);
                if(data.PurcahseType=='new'){
                    $('#chkNew').prop("checked", true);
                }
                else{
                    $('#chkReplace').prop("checked", true);
                }
                $('#txtNameOfAsset').val(data.AssetName);
                $('#txtNoOfUnit').val(data.Unit);
                $('#txtModel').val(data.Model);
                $('#txtCapacity').val(data.Capacity);
                $('#txtOther').val(data.Other);
                $('#txtCostOfUnit').val(data.CostOfUnits);
                $('#txtJustification').val(data.JustificationDescription);
                $('#txtImpactTo').val(data.AssetImpact);
            }

        },
        error: function (error) {
            console.log(error);

        },
        complete: function () {

        }

    });

}

function loadComments(id){
    $.ajax({
        type: "GET",
        url: "/am/purchasenewassest/loadComments/"+id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        async:false,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.data);
            if(response.data.success){
                var data = [];
                for (i = 0; i < response.data.result.length; i++) {
                    var comment  = response.data.result[i]['comment']+' - '+response.data.result[i]['name'];
                    data.push({
                        "thComment": comment,
                     });
                }

                var table = $('#tblcomments').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {}

    });
}

function dropzonefunction(){
    var myDropzone = new Dropzone("#my-dropzone", {
        type: "POST",
        url: "/am/purchasenewassest/attachment/uploadQuote",
        maxFilesize: 5, // MB
            maxFiles: 1,
            addRemoveLinks: true,
        autoProcessQueue:false,
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        init: function() {
            this.on("sending", function(file, xhr, formData){
                $("#frmquote").find("input").each(function(){
                    formData.append($(this).attr("name"), $(this).val());
                });
            }),
            this.on("success", function(file, xhr){
                console.log(file.xhr.response);
                console.log(xhr.data);

                if(xhr.data.success){
                    this.removeAllFiles(true);
                    $('#ModalQuotation').modal('toggle');
                    toastr.success('data saved');
                    loadattachment();


                }
            })
        },
    });
    jQuery("button#addQuatation").click(function(){
        myDropzone.processQueue();
    });

}

function loadattachment() {

    var id=$('#txthiddenrequestid').val();

    $.ajax({
        type: "GET",
        url: "/am/purchasenewassest/loadQuatation/"+id,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 800000,
        async:false,
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.data);
            if(response.data.success){
                var data = [];
                for (i = 0; i < response.data.result.length; i++) {
                    var ComapanyName  = response.data.result[i]['ComapanyName'];
                    var discription  = response.data.result[i]['discription'];
                    var Price  = response.data.result[i]['Price'];
                    var id  = response.data.result[i]['id'];

                    data.push({
                        "thcompany": ComapanyName,
                        "thdiscription": discription,
                        "thquote": Price,
                        "edit":'<button  type="button" class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button  type="button" class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        "delete":'<button  type="button" class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                     });
                }

                var table = $('#tblquote').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        },
        error: function (error) {
            console.log(error);
        },
        complete: function () {}

    });
}

function reset(){
    $('#txtPurpose').val('');
    $('#txtJustification').val('');
    $('#txtImpactTo').val('');
    $('#txtNameOfAsset').val('');
    $('#txtNoOfUnit').val('');
    $('#txtModel').val('');
    $('#txtCapacity').val('');
    $('#txtOther').val('');
    $('#txtCostOfUnit').val('');
}

function _delete(id) {
    $.ajax({
        type: 'DELETE',
        headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
        url: '/am/purchasenewassest/deleteQuatation/'+id,
        success: function(response){
            console.log(response);

            if (response.success) {
                toastr.error('Quatation Deleted');
                loadattachment();
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function view(id) {
    // $.ajax({
    //     type: 'GET',
    //     headers: {'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')},
    //     url: '/am/purchasenewassest/viewQuatation/'+id,
    //     success: function(response){
    //         console.log(response.result)
    //         if (response.success) {

    //         }
    //     }, error: function(data){
    //         console.log('something went wrong');
    //     }
    // });
}
function edit(id) {

    location.href = "/am/purchasenewassest?" + id;

}

function aprove(id) {
    $.ajax({
        type: 'POST',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/am/purchasenewassest/aprove/' + id,
        success: function (response) {
            console.log(response.result)
            if (response.success) {
                toastr.success('Request Approved');
            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

function reject(id) {
    $.ajax({
        type: 'POST',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/am/purchasenewassest/reject/' + id,
        success: function (response) {
            console.log(response.result)
            if (response.success) {
                toastr.warning('Request Rejected');

            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

function revice(id) {
    $.ajax({
        type: 'POST',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/am/purchasenewassest/revice/' + id,
        success: function (response) {
            console.log(response.result)
            if (response.success) {
                toastr.warning('Request revice');

            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}

function requestQuote(id) {
    $.ajax({
        type: 'POST',
        headers: { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') },
        url: '/am/purchasenewassest/requestQuote/' + id,
        success: function (response) {
            console.log(response.result)
            if (response.success) {
                toastr.success('Request approve for quotation');

            }
        }, error: function (data) {
            console.log('something went wrong');
        }
    });
}
