console.log('useracess.js');

$(document).ready(function () {

    $('#tblacesslist').DataTable({
        responsive: true,
        "bPaginate": false,
        "order": [],
        "columns": [
            { "data": "thid" },
            { "data": "thMenue" },
            { "data": "enable" },
            { "data": "view" },
            { "data": "add" },
            { "data": "edit" },
            { "data": "delete" },
          ],
          'columnDefs': [{
            "targets":  [0,2,3,4,5] ,
            "className": "text-center",
            "width":10
       }],
    });
    var tbluserrole=$('#tbluserrole').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thid" },
          { "data": "thname" },
        ],
        'columnDefs': [{
            "targets":  [0] ,
            "className": "text-center",
            "width":10
       }],

    });
    $('#tbluserrole tbody').on('click', 'tr', function () {

        if ($(this).hasClass('selected')) {
            $(this).removeClass('selected');
        }
        else {
            tbluserrole.$('tr.selected').removeClass('selected');
            $(this).addClass('selected');

            var rowData = tbluserrole.row(this).data();
            console.log(rowData.thid);
            userroleID=rowData.thid;
            loadList(userroleID);

        }
    });

    loaduserrole();

});

function loadList(id){
    $.ajax({
        type: 'GET',
        url: '/am/UserAcess/loadList/'+id,
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var id  = response.result[i]['id'];
                    var Aid  = response.result[i]['Aid'];

                    var description  = response.result[i]['description'];
                    var view  = response.result[i]['view'];
                    var enable  = response.result[i]['status'];
                    var add  = response.result[i]['add'];
                    var edit  = response.result[i]['edit'];
                    var dlt = response.result[i]['delete'];
                    var val="";

                    if(enable==false){
                        enable =val;
                    }
                    else{
                        enable='<input type="checkbox" id="enable_'+Aid+'" onchange="enable_('+Aid+')">';
                    }

                    if(view==false){
                        view =val;
                    }
                    else{
                        view='<input type="checkbox" id="view_'+Aid+'" onchange="view_('+Aid+')">';
                    }

                    if(add==false){
                        add =val;
                    }
                    else{
                        add='<input type="checkbox" id="add_'+Aid+'" onclick="add_('+Aid+')">';
                    }

                    if(edit==false){
                        edit =val;
                    }
                    else{
                        edit='<input type="checkbox" id="edit_'+Aid+'" onclick="edit_('+Aid+')">';
                    }
                    if(dlt==false){
                        dlt =val;
                    }
                    else{
                        dlt='<input type="checkbox" id="dlt_'+Aid+'" onclick="dlt_('+Aid+')">';
                    }

                    data.push({
                        "thid": id,
                        "thMenue":description,
                        "enable": enable,
                        "view": view,
                        "add": add,
                        "edit": edit,
                        "delete": dlt
                    });

                }

                var table = $('#tblacesslist').DataTable();
                table.clear();
                table.rows.add(data).draw();

                checkboxcheck(response.result);

            $('#UserAcessModel').modal('toggle');

            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}
function enable_(id){
    var val=false;

    if ($('#enable_'+id+'').prop('checked')){
        val=true;
    }else{
        val=false;
    }

    $.ajax({
        type: "POST",
        url: '/am/UserAcess/enableCeckBox/'+id,
        data: {'val':val},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.result)
        },
        error: function (error) {
            console.log('something went wrong');
        },
        complete: function () {

        }

    });
}

function view_(id){
    var val=false;

    if ($('#view_'+id+'').prop('checked')){
        val=true;
    }else{
        val=false;
    }

    $.ajax({
        type: "POST",
        url: '/am/UserAcess/viewCeckBox/'+id,
        data: {'val':val},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.result)
        },
        error: function (error) {
            console.log('something went wrong');
        },
        complete: function () {

        }

    });
}

function add_(id){
    var val=false;

    if ($('#add_'+id+'').prop('checked')){
        val=true;
    }else{
        val=false;
    }

    $.ajax({
        type: "POST",
        url: '/am/UserAcess/addCeckBox/'+id,
        data: {'val':val},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.result)
        },
        error: function (error) {
            console.log('something went wrong');
        },
        complete: function () {

        }

    });
}

function edit_(id){
    var val=false;

    if ($('#edit_'+id+'').prop('checked')){
        val=true;
    }else{
        val=false;
    }

    $.ajax({
        type: "POST",
        url: '/am/UserAcess/editCeckBox/'+id,
        data: {'val':val},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.result)
        },
        error: function (error) {
            console.log('something went wrong');
        },
        complete: function () {

        }

    });
}

function dlt_(id){
    var val=false;

    if ($('#dlt_'+id+'').prop('checked')){
        val=true;
    }else{
        val=false;
    }

    $.ajax({
        type: "POST",
        url: '/am/UserAcess/deleteCeckBox/'+id,
        data: {'val':val},
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        beforeSend: function () {

        },
        success: function (response) {
            console.log(response.result)
        },
        error: function (error) {
            console.log('something went wrong');
        },
        complete: function () {

        }

    });
}

function checkboxcheck(data){
    // alert();
    for (i = 0; i < data.length; i++) {
        var Aid  = data[i]['Aid'];
        var Aview  = data[i]['Aview'];
        var Aadd  = data[i]['Aadd'];
        var Aedit  = data[i]['Aedit'];
        var Adelete  = data[i]['Adelete'];
        var Aenable  = data[i]['Astatus'];


        if (Aenable==1){
            $('#enable_'+Aid+'').prop('checked', true)
        }
        if (Aview==1){
            $('#view_'+Aid+'').prop('checked', true)
        }
        if (Aadd==1){
            $('#add_'+Aid+'').prop('checked', true)
        }
        if (Aedit==1){
            $('#edit_'+Aid+'').prop('checked', true)
        }
        if (Adelete==1){
            $('#dlt_'+Aid+'').prop('checked', true)
        }


    }
}

function loaduserrole(){
    $.ajax({
        type: 'GET',
        url: '/am/userrole/loaduserrole',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var name  = response.result[i]['name'];
                    var id  = response.result[i]['id'];


                    data.push({
                        "thid": id,
                        "thname":name,
                     });
                }

                var table = $('#tbluserrole').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}
