<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmAssetsdocumentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_assetsdocument', function (Blueprint $table) {
            $table->id();
            $table->foreignId('AssetID');
            $table->foreign('AssetID')->references('id')->on('am_assets')->onDelete('cascade');
            $table->string('DocumentTitle');
            $table->string('Path');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_assetsdocument');
    }
}
