<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmPurchaseRequestTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_purchaserequest', function (Blueprint $table) {
            $table->id();
            $table->string('RequestFrom');
            $table->string('RequestBy');
            $table->string('RequestTo');
            $table->string('ApproveAuthority');
            $table->string('Purpose');
            $table->string('PurcahseType');
            $table->string('JustificationDescription');
            $table->string('AssetImpact');
            $table->string('AssetName');
            $table->string('Unit');
            $table->string('Capacity');
            $table->string('Other');
            $table->string('CostOfUnits');
            $table->string('Model');
            $table->integer('Approval');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_PurchaseRequest');
    }
}
