<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAmPurchaseRequestQuatationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('am_purchaserequestquatation', function (Blueprint $table) {
            $table->id();
            $table->foreignId('RequestID');
            $table->foreign('RequestID')->references('id')->on('am_PurchaseRequest')->onDelete('cascade');
            $table->string('discription');
            $table->string('ComapanyName');
            $table->string('Warrenty');
            $table->decimal('Price');
            $table->string('Condition');
            $table->integer('Status');
            $table->string('Document');


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('am_PurchaseRequestQuatation');
    }
}
