<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\Group1;
use Modules\Am\Http\common\commonFeatures;

class Group1Controller extends Controller
{
    use commonFeatures;
    public function save(Request $request){
        try {
            $Group1 =new Group1();
            $Group1->Name=$request->name;
            $save=$Group1->save();

            if($save){
                return $this->responseBody(true, "group1", "save", "");
            }
            else{
            return $this->responseBody(false, "group1", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "group1", "error", $exception->getMessage());
        }
    }
    public function loadgroup1(){
        try {
                $group1=Group1::all();
                return $this->responseBody(true, "loadgroup1", "found",$group1 );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadgroup1", "error", $exception->getMessage());
        }
    }
    public function deletegroup1($id){
        try {
                $group1=Group1::find($id)->delete();
                return $this->responseBody(true, "deletegroup1", "Deleted",null );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "deletegroup1", "error", $exception->getMessage());
        }
    }
    public function editgroup1($id){
        try {
                $group1=Group1::find($id)->first();
                return $this->responseBody(true, "editgroup1", "found",$group1 );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "editgroup1", "error", $exception->getMessage());
        }
    }
    public function update(Request $request){
        try {
            $Group1 =Group1::find($request->id);
            $Group1->Name=$request->name;
            $save=$Group1->save();

            if($save){
                return $this->responseBody(true, "group1", "updated", "");
            }
            else{
            return $this->responseBody(false, "group1", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "group1", "error", $exception->getMessage());
        }
    }
   
}
