<?php

namespace Modules\Am\Http\Controllers;

use Exception;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Modules\Am\Entities\UserRole;
use Modules\Am\Entities\UserRoleAcess;
use Modules\Am\Http\common\commonFeatures;
use Modules\Am\Http\common\responseBody;
class UserroleController extends Controller
{
    use commonFeatures;

    public function save(Request $request){
        try {
            $UserRole =new UserRole();
            $UserRole->name=$request->name;
            $save=$UserRole->save();

            if($save){
                return $this->responseBody(true, "UserRole", "save", "");
            }
            else{
            return $this->responseBody(false, "UserRole", "error", null);

            }


        }
         catch (Exception $exception) {
            return $this->responseBody(false, "UserRole", "error", $exception->getMessage());
        }
    }
    public function loaduserrole(){
        try {
                $UserRole=UserRole::all();
                return $this->responseBody(true, "loadgUserRole", "found",$UserRole );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "loadUserRole", "error", $exception->getMessage());
        }
    }
    public function deleteuserrole($id){
        try {
                UserRole::where('id',$id)->delete();
                UserRoleAcess::where('userRoleId',$id)->delete();

                return $this->responseBody(true, "deleteUserRole", "Deleted",null );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "deleteUserRole", "error", $exception->getMessage());
        }
    }
    public function edituserrole($id){
        try {
                $UserRole=UserRole::find($id)->first();
                return $this->responseBody(true, "editUserRole", "found",$UserRole );

        }
         catch (Exception $exception) {
            return $this->responseBody(false, "editUserRole", "error", $exception->getMessage());
        }
    }
    public function update(Request $request){
        try {
            $UserRole =UserRole::find($request->id);
            $UserRole->name=$request->name;
            $save=$UserRole->save();

            if($save){
                return $this->responseBody(true, "UserRole", "updated", "");
            }
            else{
            return $this->responseBody(false, "UserRole", "error", null);

            }
        }
         catch (Exception $exception) {
            return $this->responseBody(false, "UserRole", "error", $exception->getMessage());
        }
    }

}
