console.log('request.js');

$(document).ready(function () {

    $('#tblgroup1').DataTable({
        responsive: true,
        "order": [],
        "columns": [
          { "data": "thno" },
          { "data": "thinvname" },
        //   { "data": "aprove" },
        //   { "data": "reject" },
        //   { "data": "edit" },
          { "data": "view" },
        //   { "data": "delete" },


        ],
    });

    loadrequests();

});
function loadrequests(){
    $.ajax({
        type: 'GET',
        url: '/am/request/loadrequests',
        success: function(response){
            console.log(response.result)
            if (response.success) {

                var data = [];
                for (i = 0; i < response.result.length; i++) {
                    var name  = response.result[i]['AssetName'];
                    var id  = response.result[i]['id'];


                    data.push({
                        "thno": id,
                        "thinvname":name,
                        // "aprove": '<button class="btn btn-info" onclick="aprove(' + id + ')"><i class="fa fa-check" aria-hidden="true"></i></button>',
                        // "reject": '<button class="btn btn-warning" onclick="reject(' + id + ')"><i class="fa fa-times" aria-hidden="true"></i></button>',
                        // "edit": '<button class="btn btn-primary" onclick="edit(' + id + ')"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>',
                        "view": '<button class="btn btn-success" onclick="view(' + id + ')"><i class="fa fa-eye" aria-hidden="true"></i></button>',
                        // "delete": '<button class="btn btn-danger" onclick="_delete(' + id + ')"><i class="fa fa-trash" aria-hidden="true"></i></button>'
                     });
                }

                var table = $('#tblgroup1').DataTable();
                table.clear();
                table.rows.add(data).draw();
            }
        }, error: function(data){
            console.log('something went wrong');
        }
    });
}

function view(id) {
    location.href = "/am/purchasenewassest?" + id + "&view&req";
}


